﻿import es
import langlib
import popuplib

modules = ["admins", "maps"]

# ******************** Load ********************
def load():
	create_popup()

	for item in modules:
		es.load("soccer_mod_2010/admin/manager/%s" % (item))

# ******************** Create popup ********************
def create_popup():
	lang_dir = "cstrike/addons/eventscripts/soccer_mod_2010/language/"

	common = langlib.Strings(lang_dir + "popup_common.ini")
	text = langlib.Strings(lang_dir + "admin/manager/popup_admin_manager.ini")

	popup = popuplib.create("sm_popup_admin_manager")

	popup.addline("SOCCER MOD %s" % (text("title")))
	popup.addline(" ")

	for i in range(0, len(modules)):
		popup.addline("->%s. %s" % (i + 1, text(modules[i])))
		popup.submenu(i + 1, "sm_popup_admin_manager_%s" % (modules[i]))

	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (common("close")))

	for i in range(len(modules) + 1, 9):
		popup.submenu(i, "sm_popup_admin_manager")

	popup.submenu(9, "sm_popup_admin")

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_admin_manager")

	for item in modules:
		es.unload("soccer_mod_2010/admin/manager/%s" % (item))